package de.banananetwork.dsa.aspects;

import de.banananetwork.dsa.general.Descriptiable;
import de.banananetwork.dsa.general.Description;
import de.banananetwork.dsa.reqiurements.AdventurePointsPriceLabeled;

public class Aspect implements Descriptiable, AdventurePointsPriceLabeled {

	private final Kind kind;
	private final Description description;
	private final int apCost;

	@Override
	public Description getDescription() {
		return description;
	}

	@Override
	public int getRequiredAdventurePoints() {
		return apCost;
	}

	public enum Kind {
		ADVANTAGE, DISADVANTAGE
	}

}
